Untitled

mail@pastecode.io avatar
unknown
plain_text
5 months ago
1.8 kB
1
Indexable
Never
C:\Users\brian\PycharmProjects\pythonProject\venv\Scripts\python.exe C:\Users\brian\PycharmProjects\pythonProject\main.py 
Debug: Starting the application.
Debug: Initializing the App class.
Debug: Entered main loop.
Debug: search_devices method called.
Debug: User entered email - brianrodriguez@momentumsolar.com
Debug: Sending GET request.
Exception in Tkinter callback
Traceback (most recent call last):
  File "C:\Users\brian\PycharmProjects\pythonProject\venv\lib\site-packages\requests\models.py", line 960, in json
    return complexjson.loads(self.content.decode(encoding), **kwargs)
  File "C:\Users\brian\AppData\Local\Programs\Python\Python38\lib\json\__init__.py", line 357, in loads
    return _default_decoder.decode(s)
  File "C:\Users\brian\AppData\Local\Programs\Python\Python38\lib\json\decoder.py", line 337, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "C:\Users\brian\AppData\Local\Programs\Python\Python38\lib\json\decoder.py", line 355, in raw_decode
    raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\brian\AppData\Local\Programs\Python\Python38\lib\tkinter\__init__.py", line 1895, in __call__
    return self.func(*args)
  File "C:\Users\brian\PycharmProjects\pythonProject\main.py", line 47, in search_devices
    devices = response.json()
  File "C:\Users\brian\PycharmProjects\pythonProject\venv\lib\site-packages\requests\models.py", line 968, in json
    raise RequestsJSONDecodeError(e.msg, e.doc, e.pos)
requests.exceptions.JSONDecodeError: Expecting value: line 1 column 1 (char 0)
Debug: Received 200 OK response.